> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Price Changes

> This endpoint track price fluctuations in real-time with the Price Changes API. Monitor percentage changes over various time periods, including daily (1D), monthly (1M), yearly (1Y) and long-term (max).



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/price/changes/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/price/changes/query:
    post:
      tags:
        - Market Data
      summary: Price Changes
      description: >-
        This endpoint track price fluctuations in real-time with the Price
        Changes API. Monitor percentage changes over various time periods,
        including daily (1D), monthly (1M), yearly (1Y) and long-term (max).
      operationId: query_price_changes_v1_price_changes_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PriceChangesQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicPriceChangesResponse'
components:
  schemas:
    PriceChangesQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            Object specifying which identifier you are using to request the
            price changes. You must supply one type and its corresponding value.
      type: object
      required:
        - identifier
      title: PriceChangesQuery
    PublicPriceChangesResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/PriceChanges'
          type: array
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicPriceChangesResponse
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    PriceChanges:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: RavenPack internal entity identifier.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier provided in the request, e.g., stock symbol.
          examples:
            - GOOGL
        1D:
          anyOf:
            - type: number
            - type: 'null'
          title: 1D
          description: The price change in the last 1 day.
          examples:
            - -0.546
        5D:
          anyOf:
            - type: number
            - type: 'null'
          title: 5D
          description: The price change in the last 5 days.
          examples:
            - -2.946
        1M:
          anyOf:
            - type: number
            - type: 'null'
          title: 1M
          description: The price change in the last 1 month.
          examples:
            - 18.659
        3M:
          anyOf:
            - type: number
            - type: 'null'
          title: 3M
          description: The price change in the last 3 months.
          examples:
            - 41.633
        6M:
          anyOf:
            - type: number
            - type: 'null'
          title: 6M
          description: The price change in the last 6 months.
          examples:
            - 48.909
        ytd:
          anyOf:
            - type: number
            - type: 'null'
          title: Ytd
          description: The price change in the last year to date.
          examples:
            - 29.752
        1Y:
          anyOf:
            - type: number
            - type: 'null'
          title: 1Y
          description: The price change in the last 1 year.
          examples:
            - 51.042
        3Y:
          anyOf:
            - type: number
            - type: 'null'
          title: 3Y
          description: The price change in the last 3 years.
          examples:
            - 150.372
        5Y:
          anyOf:
            - type: number
            - type: 'null'
          title: 5Y
          description: The price change in the last 5 years.
          examples:
            - 237.022
        10Y:
          anyOf:
            - type: number
            - type: 'null'
          title: 10Y
          description: The price change in the last 10 years.
          examples:
            - 687.536
        max:
          anyOf:
            - type: number
            - type: 'null'
          title: Max
          description: The price change in the last max years.
          examples:
            - 9692.43
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - 1D
        - 5D
        - 1M
        - 3M
        - 6M
        - ytd
        - 1Y
        - 3Y
        - 5Y
        - 10Y
        - max
      title: PriceChanges
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````